# `busylight`

Control USB connected presense lights.

**Usage**:

```console
$ busylight [OPTIONS] COMMAND [ARGS]...
```

**Options**:

* `-D, --debug`
* `-l, --light-id TEXT`
* `-a, --all`
* `--timeout FLOAT`: timeout in seconds
* `--version`
* `--install-completion`: Install completion for the current shell.
* `--show-completion`: Show completion for the current shell, to copy it or customize the installation.
* `--help`: Show this message and exit.

**Commands**:

* `blink`: Blink lights on and off.
* `fli`: Flash lights quickly between two colors.
* `list`: List currently connected lights.
* `off`: Deactivate lights.
* `on`: Activate lights.
* `rainbow`: Display rainbow colors on specified lights.
* `supported`: List supported lights.
* `throb`: Throb light on and off.
* `udev-rules`: Generate Linux udev rules for all supported...

## `busylight blink`

Blink lights on and off.

The default on color is red.

**Usage**:

```console
$ busylight blink [OPTIONS] [COLOR] [[slow|medium|fast]]
```

**Options**:

* `--help`: Show this message and exit.

## `busylight fli`

Flash lights quickly between two colors.

The default colors are red and blue.

Probably need some sort of trigger warning here.

**Usage**:

```console
$ busylight fli [OPTIONS] [COLOR_A] [COLOR_B] [[slow|medium|fast]]
```

**Options**:

* `--help`: Show this message and exit.

## `busylight list`

List currently connected lights.

Lights in this list are currently plugged in and available for
use. The `--verbose` flag will increase the amount of information
displayed for each light.

**Usage**:

```console
$ busylight list [OPTIONS]
```

**Options**:

* `-v, --verbose`
* `--help`: Show this message and exit.

## `busylight off`

Deactivate lights.

**Usage**:

```console
$ busylight off [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `busylight on`

Activate lights.

The default is green.

**Usage**:

```console
$ busylight on [OPTIONS] [COLOR]
```

**Options**:

* `--help`: Show this message and exit.

## `busylight rainbow`

Display rainbow colors on specified lights.

**Usage**:

```console
$ busylight rainbow [OPTIONS] [[slow|medium|fast]]
```

**Options**:

* `--help`: Show this message and exit.

## `busylight supported`

List supported lights.

**Usage**:

```console
$ busylight supported [OPTIONS]
```

**Options**:

* `--help`: Show this message and exit.

## `busylight throb`

Throb light on and off.

The default color is red.

**Usage**:

```console
$ busylight throb [OPTIONS] [COLOR] [[slow|medium|fast]]
```

**Options**:

* `--help`: Show this message and exit.

## `busylight udev-rules`

Generate Linux udev rules for all supported lights.

The rule file generated by this subcommand includes rules for all
known supported devices. By default, these devices' file permissions
are set to 0666 when detected by the udev subsystem. Users are
encouraged to tailor these rules to suit their security needs.

**Usage**:

```console
$ busylight udev-rules [OPTIONS]
```

**Options**:

* `-o, --output FILENAME`
* `--help`: Show this message and exit.
